<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title> Postfix legacy release 2.6.6, 2.5.10 and 2.4.14 </title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">

</head>

<body>

<h1> Postfix legacy release 2.6.6, 2.5.10 and 2.4.14 </h1>

<p> An on-line version of this announcement is available at <a
href="http://www.postfix.org/announcements/postfix-2.6.6.html">http://www.postfix.org/announcements/postfix-2.6.6.html</a>

<p> Postfix legacy releases 2.6.6, 2.5.10 and 2.4.14 contain fixes that
were already included with Postfix 2.7 (stable release) and Postfix
2.8 (experimental release). </p>

<p> NOTE: Postfix 2.3 is no longer updated. </p>

<p> Defects fixed with Postfix 2.6.6 only (more in the next section): </p>

<ul>

<li> <p> "postmulti -p command" did not skip disabled instances. </p>

<li> <p> In the multi_instance_wrapper parameter, the expansion of
  $command_directory and $daemon_directory was broken. </p>

<li> <p> The address_verify_poll_count parameter value was not made
  stress-dependent by default. This defeated the purpose of making
  other settings stress-dependent by default with Postfix 2.6. </p>

</ul>

<p> Defects fixed with Postfix 2.6.6, 2.5.10, 2.4.14: </p>

<ul>

<li> <p> Milter applications would hang up after receiving an unexpected
  SMFIC_HEADER (mail header) command. This problem happened with
  Milters that (legitimately) do not send replies for SMFIC_RCPT
  (recipient address) or SMFIC_DATA (start of message) commands. </p>

<li> <p> Core dump while an printing error message for a malformed %&lt;letter&gt;
  sequence in LDAP, MySQL or PostgreSQL lookup table configuration. </p>

<li> <p> Mail with zero recipients was forever stuck in the queue. This
  happened when "postsuper -r" was run after all the recipients of
  a message were delivered (or bounced), but before the message was
  deleted from the queue. </p>

<li> <p> With hostnames such as 1-2-3-4, the valid_hostname() fuction did
  not recognize the '-' as a non-numeric character, causing a
  legitimate name to be rejected as "invalid". </p>

<li> <p> The VRFY command did not accept a mailbox address inside &lt;&gt;. </p>

</ul>

<p> The source code is available from <a
href="ftp://ftp.porcupine.org/mirrors/postfix-release/index.html">
ftp://ftp.porcupine.org/mirrors/postfix-release/index.html</a> and
from the mirrors listed at <a href="http://www.postfix.org/download.html">
http://www.postfix.org/download.html</a>. </p>

</body>

</html>
